- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::RestoRestorationPhase Class Reference

Recursive Restoration Phase for the.MinC_1NrmRestorationPhase. More...

`#include <IpRestoRestoPhase.hpp>`

Inheritance diagram for Ipopt::RestoRestorationPhase:

[legend]
Collaboration diagram for Ipopt::RestoRestorationPhase:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Overloaded from AlgorithmStrategy case class.
Constructors/Destructors
| RestoRestorationPhase ()
| Default Constructor.
virtual | ~RestoRestorationPhase ()
| Default destructor.
## Protected Member Functions
virtual bool | PerformRestoration ()
| Overloaded method from RestorationPhase.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoRestorationPhase (const RestoRestorationPhase &)
| Copy Constructor.
void | operator= (const RestoRestorationPhase &)
| Overloaded Equals Operator.
Auxilliary methods
void | solve_quadratic (const Vector &a, const Vector &b, Vector &v)
| Method for solving the quadratic vector equation v^2 + 2a*v - b = 0.

## Detailed Description

Recursive Restoration Phase for the.MinC_1NrmRestorationPhase.

This procedure chooses the n and p variables in the MinC_1NrmRestorationPhase problem formulation by treating the problem as separable (assuming that the x and s variables are fixed).

Definition at line 25 of file IpRestoRestoPhase.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoRestorationPhase::RestoRestorationPhase | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoRestorationPhase::~RestoRestorationPhase | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::RestoRestorationPhase::RestoRestorationPhase | ( | const RestoRestorationPhase & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoRestorationPhase::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Overloaded from AlgorithmStrategy case class.

Implements Ipopt::RestorationPhase.

virtual bool Ipopt::RestoRestorationPhase::PerformRestoration | ( |  | ) | `[protected, virtual]`

Overloaded method from RestorationPhase.

Implements Ipopt::RestorationPhase.

void Ipopt::RestoRestorationPhase::operator= | ( | const RestoRestorationPhase & |  | ) | `[private]`

Overloaded Equals Operator.

void Ipopt::RestoRestorationPhase::solve_quadratic | ( | const Vector & | a,
|  | const Vector & | b,
|  | Vector & | v |
| ) |  |  | `[private]`

Method for solving the quadratic vector equation v^2 + 2a*v - b = 0.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpRestoRestoPhase.hpp